package com.sw.common.accessory.server.service;

import com.sw.common.accessory.server.dto.AccessoryPartBo;
import com.sw.common.accessory.server.dto.AccessoryPartDto;
import com.sw.common.accessory.server.entity.AccessoryPart;
import com.sw.common.mybatisplus.base.BaseService;
import java.util.List;

public interface AccessoryPartService  extends BaseService<AccessoryPart> {
    Boolean create(AccessoryPartBo bo);
    Boolean update(AccessoryPartDto bo);

    List<AccessoryPart> getByMaterialCode(String materialCode);
    List<AccessoryPart> getByPartCode(String partCode);
    AccessoryPart getByDeviceCodeAndMaterialCode(String deviceCode,String materialCode);
    AccessoryPart getByCode(String deviceTypeCode,String deviceCode,String materialCode,String partCode);
    AccessoryPart getByTypeCode(String deviceTypeCode,String materialCode,String partCode);
}
